# PermissionsMapTypeAdapter
Date: 2018-12-06

com.massivecraft.factions.util

## Class PermissionsMapTypeAdapter

- java.lang.Object
- - com.massivecraft.factions.util.PermissionsMapTypeAdapter

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<java.util.Map<Permissable,java.util.Map<PermissableAction,Access>>>

    public class PermissionsMapTypeAdapter
    extends java.lang.Object
    implements com.google.gson.JsonDeserializer<java.util.Map<Permissable,java.util.Map<PermissableAction,Access>>>

### Constructor Summary

Constructors
Constructor and Description
`PermissionsMapTypeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<Permissable,java.util.Map<PermissableAction,Access>>` `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type type, com.google.gson.JsonDeserializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PermissionsMapTypeAdapter

    public PermissionsMapTypeAdapter()

### Method Detail

#### deserialize

    public java.util.Map<Permissable,java.util.Map<PermissableAction,Access>> deserialize(com.google.gson.JsonElement json,
                                                                                          java.lang.reflect.Type type,
                                                                                          com.google.gson.JsonDeserializationContext context)
                                                                                   throws com.google.gson.JsonParseException

Specified by:
  `deserialize` in interface `com.google.gson.JsonDeserializer<java.util.Map<Permissable,java.util.Map<PermissableAction,Access>>>`
Throws:
  `com.google.gson.JsonParseException`